import request from '@/utils/request'

// 查询验证任务详情列表
export function listDetail(query) {
  return request({
    url: '/biz/detail/list',
    method: 'get',
    params: query
  })
}

// 查询验证任务详情详细
export function getDetail(id) {
  return request({
    url: '/biz/detail/' + id,
    method: 'get'
  })
}

// 新增验证任务详情
export function addDetail(data) {
  return request({
    url: '/biz/detail',
    method: 'post',
    data: data
  })
}

// 修改验证任务详情
export function updateDetail(data) {
  return request({
    url: '/biz/detail',
    method: 'put',
    data: data
  })
}

// 删除验证任务详情
export function delDetail(id) {
  return request({
    url: '/biz/detail/' + id,
    method: 'delete'
  })
}
